

# DescribeCertificate
<a name="API_DescribeCertificate"></a>

Gets information about the specified certificate.

Requires permission to access the [DescribeCertificate](https://docs.aws.amazon.com/service-authorization/latest/reference/list_awsiot.html#awsiot-actions-as-permissions) action.

## Request Syntax
<a name="API_DescribeCertificate_RequestSyntax"></a>

```
GET /certificates/certificateId HTTP/1.1
```

## URI Request Parameters
<a name="API_DescribeCertificate_RequestParameters"></a>

The request uses the following URI parameters.

 ** [certificateId](#API_DescribeCertificate_RequestSyntax) **   <a name="iot-DescribeCertificate-request-uri-certificateId"></a>
The ID of the certificate. (The last part of the certificate ARN contains the certificate ID.)  
Length Constraints: Fixed length of 64.  
Pattern: `(0x)?[a-fA-F0-9]+`   
Required: Yes

## Request Body
<a name="API_DescribeCertificate_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_DescribeCertificate_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "certificateDescription": { 
      "caCertificateId": "string",
      "certificateArn": "string",
      "certificateId": "string",
      "certificateMode": "string",
      "certificatePem": "string",
      "creationDate": number,
      "customerVersion": number,
      "generationId": "string",
      "lastModifiedDate": number,
      "ownedBy": "string",
      "previousOwnedBy": "string",
      "status": "string",
      "transferData": { 
         "acceptDate": number,
         "rejectDate": number,
         "rejectReason": "string",
         "transferDate": number,
         "transferMessage": "string"
      },
      "validity": { 
         "notAfter": number,
         "notBefore": number
      }
   }
}
```

## Response Elements
<a name="API_DescribeCertificate_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [certificateDescription](#API_DescribeCertificate_ResponseSyntax) **   <a name="iot-DescribeCertificate-response-certificateDescription"></a>
The description of the certificate.  
Type: [CertificateDescription](API_CertificateDescription.md) object

## Errors
<a name="API_DescribeCertificate_Errors"></a>

 ** InternalFailureException **   
An unexpected error has occurred.    
 ** message **   
The message for the exception.
HTTP Status Code: 500

 ** InvalidRequestException **   
The request is not valid.    
 ** message **   
The message for the exception.
HTTP Status Code: 400

 ** ResourceNotFoundException **   
The specified resource does not exist.    
 ** message **   
The message for the exception.
HTTP Status Code: 404

 ** ServiceUnavailableException **   
The service is temporarily unavailable.    
 ** message **   
The message for the exception.
HTTP Status Code: 503

 ** ThrottlingException **   
The rate exceeds the limit.    
 ** message **   
The message for the exception.
HTTP Status Code: 400

 ** UnauthorizedException **   
You are not authorized to perform this operation.    
 ** message **   
The message for the exception.
HTTP Status Code: 401

## See Also
<a name="API_DescribeCertificate_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/iot-2015-05-28/DescribeCertificate) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/iot-2015-05-28/DescribeCertificate) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/iot-2015-05-28/DescribeCertificate) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/iot-2015-05-28/DescribeCertificate) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/iot-2015-05-28/DescribeCertificate) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/iot-2015-05-28/DescribeCertificate) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/iot-2015-05-28/DescribeCertificate) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/iot-2015-05-28/DescribeCertificate) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/iot-2015-05-28/DescribeCertificate) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/iot-2015-05-28/DescribeCertificate) 